Bug 1134556 - Something is creating parser.out and parsetab.py in / of newly installed systems
Summary: Something is creating parser.out and parsetab.py in / of newly installed systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openlmi-providers
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Novacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-27 18:56 UTC by Brian Lane
Modified: 2016-12-01 00:33 UTC (History)
9 users (show)

Fixed In Version: openlmi-storage-0.8.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 06:08:53 UTC


Attachments (Terms of Use)
parsetab.py (10.37 KB, text/plain)
2014-08-27 18:57 UTC, Brian Lane
no flags Details
parser.out (55.85 KB, text/plain)
2014-08-27 18:58 UTC, Brian Lane
no flags Details

Description Brian Lane 2014-08-27 18:56:58 UTC
I did a fresh f21 install using the boot.iso from 8/26 and there were 2 files in / on the new system that obviously don't belong there. The parsetab.py file mentions the lmi python module.

eg.

('mof -> mofItemList','mof',1,'p_mofSpecification','/usr/lib/python2.7/site-packages/lmi/base/mofparse.py',150),

Comment 1 Brian Lane 2014-08-27 18:57:38 UTC
Created attachment 931655 [details]
parsetab.py

Comment 2 Brian Lane 2014-08-27 18:58:04 UTC
Created attachment 931656 [details]
parser.out

Comment 3 Radek Novacek 2014-08-28 09:23:17 UTC
Thanks for the report.

The patch for this issue has been applied to the upstream repo:
https://git.fedorahosted.org/cgit/openlmi-providers.git/commit/?id=32865a72fa6da3af9048de94eba0365cecf5dca8

We plan to do new release of openlmi-providers next week. I'll close the bug once it lands in the repo.

Comment 4 Fedora Update System 2014-09-12 08:41:21 UTC
openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-4.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21

Comment 5 Fedora Update System 2014-09-12 17:47:54 UTC
Package openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openlmi-storage-0.8.0-1.fc21 openlmi-networking-0.3.0-1.fc21 openlmi-providers-0.5.0-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10304/openlmi-providers-0.5.0-5.fc21,openlmi-networking-0.3.0-1.fc21,openlmi-storage-0.8.0-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-10 06:08:53 UTC
openlmi-storage-0.8.0-1.fc21, openlmi-networking-0.3.0-1.fc21, openlmi-providers-0.5.0-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.